# WC - APG NIF/CIF/NIE Field
Contributors: artprojectgroup

Donate link: https://artprojectgroup.es/tienda/donacion

Tags: woocommerce, commerce, e-commerce, commerce, shop, virtual shop, nif, cif, nie, shipping form, billing form, wooCommerce pdf invoices & packing slips, WPML

Requires at least: 3.8

Tested up to: 6.2

Stable tag: 2.0.1

WC requires at least: 2.4

WC tested up to: 7.5

License: GPLv3

License URI: http://www.gnu.org/licenses/gpl-3.0.html

Añade a WooCommerce un campo NIF/CIF/NIE.

## Description
**IMPORTANTE: *WC - APG NIF/CIF/NIE Field* requiere WooCommerce 2.4.0 o superior y la clase PHP <a href="http://php.net/manual/es/class.soapclient.php">SoapClient</a>.**

**WC - APG NIF/CIF/NIE Field** añade a tu tienda WooCommerce un nuevo campo NIF/CIF/NIE a todos los formularios de facturación y envío disponibles tanto para el administrador como para el cliente en WooCommerce.

### Características
* Puedes hacer obligatorio el campo NIF/CIF/NIE en el formulario de facturación.
* Puedes hacer obligatorio el campo NIF/CIF/NIE en el formulario de envío.
* Puedes personalizar la prioridad (posición) del campo.
* Puedes validar el campo NIF/CIF/NIE.
* Puedes validar el campo VIES VAT number para excluir los impuestos.
* Puedes validar el campo EORI para impedir la venta si no se introduce un número válido.
* Puedes seleccionar el/los país/es donde se validará el campo EORI.
* Puedes personalizar la etiqueta y el marcador de posición del campo NIF/CIF/NIE, VIES VAT number o EORI.
* Puedes personalizar el mensaje de error del campo NIF/CIF/NIE, VIES VAT number o EORI.
* Añade como requeridos los campos teléfono y correo electrónico al formulario de envío.
* Puedes quitar los campos teléfono y correo electrónico de la dirección predeterminada.
* Puedes mostrar y personalizar un mensaje de error para el formulario de facturación utilizando los filtros `apg_nif_display_error_message` y `apg_nif_error_message`.
* 100% compatible con [WooCommerce PDF Invoices & Packing Slips](https://es.wordpress.org/plugins/woocommerce-pdf-invoices-packing-slips/).
* 100% compatible con [WPML](https://wpml.org/?aid=80296&affiliate_key=m66Ss5ps0xoS).

### Traducciones
* Español ([**Art Project Group**](https://artprojectgroup.es/)).
* English ([**Art Project Group**](https://artprojectgroup.es/)).

### Soporte técnico
**Art Project Group** te ofrece [**Soporte técnico**](https://artprojectgroup.es/tienda/ticket-de-soporte) para configurar o instalar ***WC - APG NIF/CIF/NIE Field***.

### Origen
**WC - APG NIF/CIF/NIE Field** ha sido programado a partir del código publicado en [*¿Cómo añadir un campo NIF o CIF con validación a WooCommerce 2.4?*](https://artprojectgroup.es/como-anadir-un-campo-nif-o-cif-con-validacion-a-woocommerce-2-4) de [Art Project Group](https://artprojectgroup.es/).

### Más información
En nuestro sitio web oficial puede obtener más información sobre [**WC - APG NIF/CIF/NIE Field**](https://artprojectgroup.es/plugins-para-woocommerce/wc-apg-nifcifnie-field). 

### Comentarios
No olvides dejarnos tu comentario en:

* [WC - APG NIF/CIF/NIE Field](https://artprojectgroup.es/plugins-para-woocommerce/wc-apg-nifcifnie-field) en Art Project Group.
* [Art Project Group](https://www.facebook.com/artprojectgroup) en Facebook.
* [@artprojectgroup](https://twitter.com/artprojectgroup) en Twitter.

### Más plugins
Recuerda que puedes encontrar más [plugins para WordPress](https://artprojectgroup.es/plugins-para-wordpress) y más [plugins para WooCommerce](https://artprojectgroup.es/plugins-para-woocommerce) en [Art Project Group](https://artprojectgroup.es) y en nuestro perfil en [WordPress](https://profiles.wordpress.org/artprojectgroup/).

### GitHub
Puedes seguir el desarrollo de este plugin en [Github](https://github.com/artprojectgroup/wc-apg-nifcifnie-field).

## Instalación
1. Puedes:
 * Subir la carpeta `wc-apg-nifcifnie-field` al directorio `/wp-content/plugins/` vía FTP. 
 * Subir el archivo ZIP completo vía *Plugins -> Añadir nuevo -> Subir* en el Panel de Administración de tu instalación de WordPress.
 * Buscar **WC - APG NIF/CIF/NIE Field** en el buscador disponible en *Plugins -> Añadir nuevo* y pulsar el botón *Instalar ahora*.
2. Activar el plugin a través del menú *Plugins* en el Panel de Administración de WordPress.
3. Configurar el plugin en *WooCommerce -> NIF/CIF/NIE field* o a través del botón *Ajustes*.
4. Listo, ahora ya puedes disfrutar de él, y si te gusta y te resulta útil, hacer una [*donación*](https://artprojectgroup.es/tienda/donacion).

## Preguntas frecuentes
### ¿Cómo se configura?
La configuración del plugin es un muy simple, tan sólo debes indicar si quieres que se valide el campo NIF/CIF/NIE o no.

### Soporte técnico
Si necesitas ayuda para configurar o instalar **WC - APG NIF/CIF/NIE Field**, **Art Project Group** te ofrece su servicio de [**Soporte técnico**](https://artprojectgroup.es/tienda/ticket-de-soporte). 

*En ningún caso **Art Project Group** proporciona ningún tipo de soporte técnico gratuito.*

## Changelog
### 2.0.1
* Arreglos menores.

### 2.0
* Añadida opción de validación del número EORI **Actualización patrocinada por [OldWood - Ground, Oil Varnishes & Natural Colours](https://www.oldwood1700.com)**.
* Añadida opción de selección de prioridad del campo NIF/CIF/NIE.
* Añadidos dos filtros para mostrar y personalizar un mensaje de error para el formulario de facturación: `apg_nif_display_error_message` y `apg_nif_error_message`.
* Actualización de captura de pantalla.

### 1.7.4.1
* Actualización de cabecera.
* Actualización de hoja de estilo.
* Actualización de captura de pantalla.

### 1.7.4
* Valida el formulario de envío sólo si se ha activado.
* Valida el número VIES sólo para los países soportados.

### 1.7.3.1
* Indica el formulario correspondiente en la validación del campo.

### 1.7.3
* Añade el campo NIF/CIF/NIE en la búsqueda de pedidos.

### 1.7.2.6
* Arreglos menores.

### 1.7.2.5
* Arreglos menores.

### 1.7.2.3
* Añadida compatibilidad con Polylang.

### 1.7.2.2
* Arreglos menores.

### 1.7.2.1
* Arreglos menores.

### 1.7.2
* Arreglo de la validación VIES para Grecia e Irlanda.

### 1.7.1
* Ajuste para hacer compatible la nueva opción con WooCommerce PDF Invoices & Packing Slips.

### 1.7
* Ahora puedes quitar los campos teléfono y correo electrónico de la dirección predeterminada.

### 1.6
* Mensajes de error personalizables y traducibles con WPML.
* Arreglos menores.

### 1.5.1
* Adición de la exclusión de impuestos en los gastos de envío.

### 1.5
* Eliminación de la exclusión de impuestos en los gastos de envío.
* Añadidos los campos teléfono y correo electrónico en las direcciones internacionales.
* Arreglos menores.

### 1.4.2
* Eliminación de doble teléfono y dirección de correo electrónico en la página de Gracias.

### 1.4.1
* Nombre de campo de texto traducible con WPML.

### 1.4.0.2
* Actualización de la plantilla de cuentas de correo electrónico.
* Pequeños arreglos.

### 1.4.0.1
* Pequeños arreglos.

### 1.4
* Añadida personalización de la etiqueta y marcador de posición del campo.
* Actualización de captura de pantalla.

### 1.3.0.2
* Pequeños arreglos.
* Eliminados todos los cambios de orden de los campos.

### 1.3.0.1
* Pequeños arreglos.

### 1.3
* Añadidos los campos en WooCommerce PDF Invoices & Packing Slips para facturas con direcciones fuera de España.

### 1.2.1.3
* Pequeños arreglos.

### 1.2.1.2
* Añadido mensaje de error y desactivación cuando la clase PHP SoapClient no existe.

### 1.2.1.1
* Añadida compatibilidad con WooCommerce 3.4.

### 1.2.1
* Pequeños arreglos.

### 1.2.0.4
* Eliminación de doble teléfono y dirección de correo electrónico en el correo electrónico de pedido.
* Arreglo de la validación del número CIF.

### 1.2.0.3
* Eliminación de doble teléfono y dirección de correo electrónico en el correo electrónico de pedido.

### 1.2.0.2
* Actualización de cabecera.
* Actualización de hoja de estilo.
* Actualización de captura de pantalla.

### 1.2.0.1
* Arreglo de la validación del número CIF.

### 1.2
* Evita la validación del campo NIF/CIF/NIE fuera de España.
* Arreglos menores.

### 1.1.0.6
* Muestra el campo correo en los pedidos creados manualmente en WooCommerce 3.x.
* Imposibilita la validación del campo NIF/CIF/NIE junto con la validación del número VIES.

### 1.1.0.5
* Nombre de campo de texto traducible.

### 1.1.0.4
* Mejora del rendimiento.

### 1.1.0.3
* Arreglo de localización.

### 1.1.0.2
* Mejora de la validación del número VIES.

### 1.1.0.1
* Internacionalización de la validación del número VIES.

### 1.1
* Añadida opción de validación del número VIES.

### 1.0.1.3
* Ajuste para optimizar la compatibilidad con WooCommerce 3.0.

### 1.0.1.2
* Soporte para instalaciones multisitio.

### 1.0.1.1
* Muestra todos los campos en los clientes no registrados.

### 1.0.1
* Arreglo del formato de direcciones en los correos electrónicos.
* Arreglo de traducciones faltantes en español.

### 1.0
* Muestra el campo correo en los pedidos creados manualmente.
* Muestra el correo electrónico en los datos de cliente.
* Eliminadas todas las clases personalizadas de los campos para mejorar la compatibilidad universal con las plantillas.
* Estructura interna del plugin totalmente reescrita para facilitar su mantenimiento.

### 0.3
* Carga del valor del campo NIF/CIF/NIE en los pedidos creados manualmente.

### 0.2
* Añadidas nuevas opciones de configuración.
* Actualización de traducción.
* Actualización de captura de pantalla.

### 0.1
* Versión inicial.

## Traducciones
* *English*: by [**Art Project Group**](https://artprojectgroup.es/) (default language).
* *Español*: por [**Art Project Group**](https://artprojectgroup.es/).

## Soporte técnico
Dado que **WC - APG NIF/CIF/NIE Field** es totalmente gratuito, **Art Project Group** sólo proporciona el servicio de [**Soporte técnico**](https://artprojectgroup.es/tienda/ticket-de-soporte) previo pago. En ningún caso **Art Project Group** proporciona ningún tipo de soporte técnico gratuito.

## Donación
¿Te ha gustado y te ha resultado útil **WC - APG NIF/CIF/NIE Field** en tu sitio web? Te agradeceríamos una [pequeña donación](https://artprojectgroup.es/tienda/donacion) que nos ayudará a seguir mejorando este plugin y a crear más plugins totalmente gratuitos para toda la comunidad WordPress.

## Gracias
* A todos los que lo usáis.
* A todos los que ayudáis a mejorarlo.
* A todos los que realizáis donaciones.
* A todos los que nos animáis con vuestros comentarios.

¡Muchas gracias a todos!
